Raspberry Pi3B: wie installiere ich wxPython?

Guten Tag,

Ich bin jetzt seit mehreren Tagen am Verzweifeln, wie ich das GUI-Paket "wxPython" installieren kann. Das Betriebssystem ist Raspbian (9 - "stretch") und Python ist mit der neuesten Version 3.6.4 installiert (sowie auch die vorinstallierte 2.7).

https://wiki.wxpython.org/BuildWxPythonOnRaspberryPi

Kaum ein Schritt dieser Anleitung funktioniert fehlerfrei, habe mich aber bis nach unten durchgekämpft, bestimmt um die 30 Abhängigkeiten manuell rausgesucht und installiert von anderen Seiten, aber es scheitert nach wie vor beim Build-Vorgang.

python3 build.py build bdist_wheel --jobs=1 --gtk2

Diese Zeile verursacht selbst nach allen Abhängigkeiten noch diesen Fehler:

sh: 1: /root/wxPython-4.0.1/ext/wxWidgets/configure: Permission denied
Error running configure
ERROR: failed building wxWidgets
Traceback (most recent call last):
 File "build.py", line 1295, in cmd_build_wx
  wxbuild.main(wxDir(), build_options)
 File "/root/wxPython-4.0.1/buildtools/build_wxwidgets.py", line 374, in main
  "Error running configure")
 File "/root/wxPython-4.0.1/buildtools/build_wxwidgets.py", line 85, in exitIfError
  raise builder.BuildError(msg)
buildtools.builder.BuildError: Error running configure

Allerdings verursacht eine, anscheinend wichtige, Abhängigkeit trotzdem einen Fehler bei der Installation:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:

 apt-get install gstreamer1.0

 gstreamer1.0-omx-dbg : Hängt ab von: gstreamer1.0-omx (= 1.0.0.1-0+rpi12+jessipmg) aber 1.10.4-1+rpt3 soll installiert werden

Linux
1 Antwort